[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlChildSizing.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 1979

`public constructor TControlChildSizing.Create(`
`OwnerControl: TWinControl`
`);`

## Arguments

`OwnerControl` |  | Control which owns the class instance.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor, and sets the default values for properties including:

Control
  Set to the value in the OwnerControl argument.
Layout
  Set to cclNone.
EnlargeHorizontal, EnlargeVertical, ShrinkHorizontal, ShrinkVertical
  Set to crsAnchorAligning.